<%@ page language="java" import="org.eclipse.birt.examples.dynparampage.*,java.util.*" %>

<html>
<head>
<title>BIRT Dynamic Parameter Report Execution</title>
</head>

<script>
function reloadWithNewReport() {
	var wl = window.location;
	var url = wl.protocol + "//" + wl.hostname + ":" + wl.port + wl.pathname;
	var newReport = document.reportSubmit.selectReport.options[document.reportSubmit.selectReport.selectedIndex].value;
	window.location.replace(url + "?report=" + newReport);
}

function submitReport() {
	var wl = window.location;
	var url = wl.protocol + "//" + wl.hostname + ":" + wl.port;
	var reportToSubmit = document.reportSubmit.selectReport.options[document.reportSubmit.selectReport.selectedIndex].value;

	url += "/birt/frameset?__report=report/" + reportToSubmit;

	var paramForm = document.reportSubmit;

	for(var i = 1; i < paramForm.length - 1; i++) { //start at 1 to skip the report selection dropdown
		var control = paramForm.elements[i];		//stop at -1 to skip the submit button
		if(control.type == "checkbox") {
			if(control.checked == true) {
				url += "&" + control.name + "=" + true; 
			} else {
				url += "&" + control.name + "=" + false; 
			}
		} else if(control.type == "radio") {
			if(control.checked == true) {
				url += "&" + control.name + "=" + control.value; 
			}
		} else {
			var dateControl = control.name.toUpperCase();
			if(dateControl.indexOf("DATE") == -1) { //doing this because the date paramters are broke
				url += "&" + control.name + "=" + control.value; 
			}
		}
	}
	document.reportSubmit.action=url;
	document.reportSubmit.submit();
}
</script>

<body bgcolor=white>

<form method='post' name='reportSubmit' onSubmit='submitReport();'>
<%
ParamServlet ps = new ParamServlet();
ps.init(config, request);

//get a list of the reports in the reports folder
Vector fileList = ps.getFileList();
String selectReportHtmlString = "";
selectReportHtmlString = ps.makeReportSelectionComboBox("selectReport", fileList, request.getParameter("report"));

//get a vector of the report paramater definitions
Vector rptParamVector;
String runReportFormHtmlString = "";

if(request.getParameter("report") != null) {
	rptParamVector = ps.getReportParameters();
	runReportFormHtmlString = ps.makeRunReportForm(rptParamVector);
} else {
	runReportFormHtmlString = "<br><br><b>Select a report to run from above</b>";
}
%>

<!-- Report Selection Section Below -->
<b>Select Report To Run:&nbsp;</b> <%= selectReportHtmlString %>
<!-- Report Selection Section Above -->
<hr>
<!-- Report Parameter Section Below -->
<table>
	<TR><TD><%= runReportFormHtmlString %></TD></TR>
</table>
<!-- Report Parameter Section Above -->

<input type="submit" name="submit" value="Submit Report" />
</form>

</body>
</html>
